Skip to main content
GET
/
v1
/
seller
/
meta
/
{channel}
/
categories
Category Tree
curl --request GET \
  --url https://scx-sbx.api.jtl-software.com/v1/seller/meta/{channel}/categories \
  --header 'Authorization: Bearer <token>'
[
  {
    "categoryId": "4711",
    "displayName": "Beer",
    "listingAllowed": true,
    "parentCategoryId": "2343"
  }
]

Authorizations

Authorization
string
header
required

Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL Customer Center. Usage format: Bearer <JWT>.

Headers

Accept
enum<string>
default:application/json

Preferred response encoding. Use application/gzip to receive the response gzip-compressed.

Available options:
application/json,
application/gzip

Path Parameters

channel
string
required

Channel name whose category tree should be returned.

Response

Channel category tree (JSON, optionally gzip-compressed)

categoryId
string
required

Channel category Id.

Required string length: 1 - 512
Example:

"4711"

displayName
string
required

Category display name.

Required string length: 1 - 250
Example:

"Beer"

listingAllowed
boolean
default:true

Mark a categoryId as leaf. Only leaf categories can list offers.

parentCategoryId
string

Parent category Id. If category is 0 the current category is considered as root category.

Required string length: 1 - 512
Example:

"2343"